/*
 * defination.h
 *
 *  Created on: 2015-12-8
 *      Author: Jake
 */

#ifndef DEFINATION_H_
#define DEFINATION_H_


#include <stdint.h>
//

// The MAX bytes of one command
#define	COMMAND_MAX_BYTE			64
#define RAM_SOURCE_ADDR				(*((volatile uint32_t*)0x20000000))
#define RAM_MY_NODE					(*((volatile uint32_t*)0x20000004))
#define RAM_RESET_BSL_PC			*(unsigned int*)(0x0200)
#define APP_RESET_ADD				*(unsigned char*)(0xEFFE)



#define FREQ_8MHZ					0x00
#define FREQ_16MHZ					0x01

#define NULL						0x00

#define TRUE						0x01
#define FALSE						0x00

//#define CMD_REQ_ENTRY_APP			0x0800
//#define CMD_RSP_ENTRY_APP			0x0801
//#define CMD_REQ_ERASE_FLASH			0x0802
//#define CMD_RSP_ERASE_FLASH			0x0803
//#define CMD_REQ_WRITE_FLASH			0x0804
//#define CMD_RSP_WRITE_FLASH			0x0805
//#define CMD_REQ_ENTRY_BSL			0x0806
//#define CMD_RSP_ENTRY_BSL			0x0807
//#define CMD_REQ_UUID				0x0808
//#define CMD_RSP_UUID				0x0809
//#define CMD_REQ_BSL_INFO			0x080A
//#define CMD_RSP_BSL_INFO			0x080B
//#define CMD_REQ_APP_INFO			0x080C
//#define CMD_RSP_APP_INFO			0x080D
//#define CMD_REQ_STATUS				0x080E
//#define CMD_RSP_STATUS				0x080F


#ifdef MSP430_CODE
inline void delay(unsigned int x) {while (x--) __delay_cycles(16000);}
#endif

#endif /* DEFINATION_H_ */
